# Tcl package index file, version 1.0

set PACKAGE Tclx
set VERSION 8.4

global env

    set f [file join $dir $env(libDir)]
    if {![file exists $f]} {set f [file join $dir [string tolower $env(libDir)]]}
    if {![file exists $f] || ![file isdirectory $f]} {
       if {$env(MIDASPACKAGEWARNINGS)} \
         {puts stderr "package not supported for this system - $f $env(os) $env(machine)"}
       return
    }
    set f [file join $f lib[string tolower $PACKAGE]$VERSION[info sharedlibextension]]
    if {![file exists $f]} {
       if {$env(MIDASPACKAGEWARNINGS)} \
         {puts stderr "package not supported for this system - $f $env(os) $env(machine)"}
       return
    }
    package ifneeded $PACKAGE $VERSION [list load $f $PACKAGE]
